=== debian/changelog ===
mac-fdisk (0.1-18.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0 (quilt). (Closes: #1007407)
  * Include system headers and prevent old error handling (Closes: #1011530)
  * d/rules: Add missing targets.
  * Change section to otherosfs.

 -- Bastian Germann <bage@debian.org>  Tue, 16 May 2023 21:26:00 +0200

mac-fdisk (0.1-18) unstable; urgency=medium

  * New maintainer:
    - Set myself as maintainer in debian/control
  * Add missing debian/compat, set to 9
  * Stop building udeb packages:
    - Remove references to {mac,pmac}-fdisk-udeb from debian/control
    - Remove references to udeb packages from debian/rules
  * Add missing pmac-fdisk-cross package to debian/control as it
    is actually being built in debian/rules (Closes: #408341)
  * Build cross packages on i386 as well (Closes: #202019)
  * Add Vcs-Git and Vcs-Browser URLs to debian/control
  * Set Priority to optional in debian/control
  * Remove Priority extra for cross packages in debian/control
  * Set Section utils for {mac,pmac}-fdisk in debian/control
  * Remove unnecessary build dependencies coreutils and grep
  * Update and amend long and short descriptions in debian/control
  * Remove trailing white-spaces in debian/control
  * Remove cruft and fix formatting in debian/changelog

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 22 Sep 2017 16:12:01 +0200

mac-fdisk (0.1-17) unstable; urgency=low

  * Fix postinst failure - dpkg --print-installation-architecture
    is no longer supported. Patch by Finn Thain <fthain@telegraphics.com.au>
    Closes: #644845.

 -- Michael Schmitz <schmitzmic@gmail.com>  Tue, 11 AUg 2017 15:49:23 +1200

mac-fdisk (0.1-16) unstable; urgency=low

  * Fix udeb shlib dependencies - patch by Frans Pop <elendil@planet.nl>
    Closes: #562190.

 -- Michael Schmitz <schmitz@debian.org>  Sun, 03 Jan 2010 13:47:27 +1200

mac-fdisk (0.1-15) unstable; urgency=low

  * Rebuild against current glibc to get rid of sys_errlist type size
    warning (bug reported by Rick Thomas).
    Closes: #451386.

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Mon, 25 Sep 2005 14:50:13 +0100

mac-fdisk (0.1-14) unstable; urgency=low

  * Fix dpme.h u32 typedef which caused a mismatch between disk and memory
    partition map format.
    Closes: #389379.

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Mon, 25 Sep 2005 14:50:13 +0100

mac-fdisk (0.1-13) unstable; urgency=low

  * Add patch for broken dpkg --print-gnu-build-architecture
    (patch by Andreas Jochens <aj@andaco.de>).
    Closes: #328102.

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Wed, 14 Sep 2005 17:25:23 +0100

mac-fdisk (0.1-12) unstable; urgency=low

  * Add makefile support for ppc64 arch (patch by Andreas Jochens
    <aj@andaco.de>).
    Closes: #307897.

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Mon, 09 May 2005 12:58:47 +0100

mac-fdisk (0.1-11) unstable; urgency=low

  * Big fat overdue cleanup - back in business after replacing my stolen
    Powerbook.
  * fixes as suggested in proposed NMU: changes mostly by Frank Lichtenheld
    <djpig@debian.org>, with subarchitecture modifications by Colin Watson
    <cjwatson@debian.org>.
  * Copy needed kernel definitions from kernel-headers 2.4.25 (powerpc) and
    2.4.26-m68k (cjwatson; Closes: #262457).
  * Add Subarchitecture: fields in DEBIAN/control of the udebs. "mac" for
    mac-fdisk-udeb on m68k, "powermac_oldworld powermac_newworld" for
    mac-fdisk-udeb on powerpc, and "chrp chrp_pegasos prep iseries" for
    pmac-fdisk-udeb on powerpc (djpig; Closes: #250581).
  * Remove XSI:sms in debian/rules and debian/postinst, patch by David
    Weinehall (djpig; Closes: #254918).

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Thu, 26 Aug 2004 14:23:13 +0200

mac-fdisk (0.1-10) unstable; urgency=high

  * Added .udeb magic to rules (kudos to Gaudenz Steinlin
    <gaudenz@soziologie.ch>); kept mac-fdisk in /sbin though).
    Closes: #188420.

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Wed, 04 Jun 2003 17:06:02 +0200

mac-fdisk (0.1-9) unstable; urgency=high

  * Rebuilt with woody binutils to allow for prelinking. Closes: #176353.

  * Set 'automagically mount on boot' flag when creating HFS partitions
    (thanks to Derrick Pates <dpates@dsdk12.net> for finding the
    undocumented bit!). Experimental, but this is unstable, right?

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Fri, 24 Jan 2003 16:20:20 +0200

mac-fdisk (0.1-8) unstable; urgency=high

  * Update mac-fdisk man page (kudos to Chris Tillman). Closes: #121928.

  * Remove mac-fdisk-cross from control file; remove Sparc from Arch: entries
    (to get rid of outdated mac-fdisk-cross 0.1-1 in the archive). Change
    package descrption line for pmac-fdisk to emphasize it's a fdisk clone.

  * Change sync() to ioctl(fd, BLKFLSBUF) to flush partition table to disk
    on write - hopefully work around a kernel bug on new machines.

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Fri, 07 Dec 2001 13:38:10 +0200

mac-fdisk (0.1-7) unstable; urgency=high

  * Bugfix: mac-fdisk didn't properly handle devfs device names. Mangle disk
    name (.../disc) in dump routine to end in .../part%d (patch by Colin
    Walters <walters@verbum.org>). Closes: #110056.

 -- Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>  Mon, 04 Sep 2001 16:02:45 +0200

mac-fdisk (0.1-6.0potato1) stable; urgency=high

  * Feature added: menu option to create bootstrap partition needed for
    powerpc NewWorld machines with the proper type and size (patch supplied
    by Ethan Benson). This should help newbies that won't read the docs
    anyway. Closes: #99660.

  * Bugfix: mac-fdisk used to get the disk size wrong when brute force
    probing for end-of-disk by seek&read. Turns out gcc did not cope with
    arithmetics on long long types without explicit cast. Closes: #99700.


