=== debian/control ===
Source: mac-fdisk
Section: otherosfs
Priority: optional
Build-Depends: debhelper
Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Standards-Version: 3.5.8.0
Vcs-Git: git://github.com/glaubitz/mac-fdisk-debian.git
Vcs-Browser: https://github.com/glaubitz/mac-fdisk-debian

Package: mac-fdisk
Architecture: m68k powerpc ppc64
Section: utils
Depends: ${shlibs:Depends}
Description: Apple disk partition manipulation tool
 The fdisk utilities from the MkLinux project, adopted for Linux/m68k.
 Mac-fdisk allows you to create and edit the partition table of a disk.
 It supports only the Apple partition format used on Macintosh and PowerMac,
 use pmac-fdisk for PC partition format disks as used on PowerPC machines.
 Mac-fdisk is an interactive tool with a menu similar to PC fdisk, supported
 options are somewhat different from PC fdisk due to the differences in
 partition format.

Package: pmac-fdisk
Architecture: powerpc ppc64
Section: utils
Depends: ${shlibs:Depends}
Description: Apple fdisk partition manipulation tool for PowerPC
 The fdisk utilities from the MkLinux project, adopted for Linux/ppc.
 Pmac-fdisk allows you to create and edit the partition table of a disk.
 It supports the PC partition format as used on PowerPC. It is an
 interactive tool similar to PC fdisk.

Package: mac-fdisk-cross
Architecture: i386 m68k
Depends: ${shlibs:Depends}
Description: Apple disk partition manipulation tool, cross version
 The fdisk utilities from the MkLinux project, adopted for Linux/m68k.
 Mac-fdisk allows you to create and edit the partition table of a disk.
 It supports only the Apple partition format used on Macintosh and PowerMac,
 use pmac-fdisk for PC partition format disks as used on PowerPC machines.
 Mac-fdisk is an interactive tool with a menu similar to PC fdisk, supported
 options are somewhat different from PC fdisk due to the differences in
 partition format.
 .
 This package contains the cross version of the package.

Package: pmac-fdisk-cross
Architecture: i386 m68k
Depends: ${shlibs:Depends}
Description: fdisk partition manipulation tool for PowerPC, cross version
 The fdisk utilities from the MkLinux project, adopted for Linux/ppc.
 Pmac-fdisk allows you to create and edit the partition table of a disk.
 It supports the PC partition format as used on PowerPC. It is an
 interactive tool similar to PC fdisk.
 .
 This package contains the cross version of the package.
