=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

export DH_VERBOSE=1

#BUILDARCH = $(shell dpkg --print-gnu-build-architecture)
BUILDARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
POWERPC = $(findstring $(BUILDARCH),powerpc ppc64)

packmn  = mac-fdisk
packmc  = mac-fdisk-cross
packpmn = pmac-fdisk
packpmc = pmac-fdisk-cross
tmpmn   = debian/tmp
tmpmc   = debian/$(packmc)
tmppmn  = debian/$(packpmn)
tmppmc  = debian/$(packpmc)
docmn   = $(tmpmn)/usr/share/doc/$(packmn)
docmc   = $(tmpmc)/usr/share/doc/$(packmc)
docpmn  = $(tmppmn)/usr/share/doc/$(packpmn)
docpmc  = $(tmppmc)/usr/share/doc/$(packpmc)

ifeq "$(BUILDARCH)" "powerpc"
mac_subarches=powermac_oldworld powermac_newworld
pmac_subarches=chrp chrp_pegasos prep iseries
else
mac_subarches=mac
endif

build: build-arch build-indep
build-indep:

build-arch:
	$(checkdir)
	make CFLAGS="-O2 -g -Wall"
	touch build-arch

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf $(tmpmn) $(tmpmc) $(tmppmn) $(tmppmc) debian/files* core debian/*substvars

binary-indep: build-indep
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build-arch
	dh_testdir pdisk.h
	dh_testroot
	dh_clean -k
	#dh_installdirs
	# we don't want to package the pdisk man page
	mv pdisk.8 pdisk.8.in
	set -e; if [ "$(BUILDARCH)" = "m68k" ] || [ -n "$(POWERPC)" ]; then \
		install -d $(tmpmn)/sbin; \
		install -m 755 pdisk $(tmpmn)/sbin/mac-fdisk; \
		install -d $(tmpmn)/usr/share/man/man8; \
		install -m 644 debian/mac-fdisk.8.in $(tmpmn)/usr/share/man/man8/mac-fdisk.8; \
		dh_installdocs README -p$(packmn); \
		dh_installmanpages -p$(packmn); \
		dh_installchangelogs HISTORY -p$(packmn); \
	else \
		install -d $(tmpmc)/usr/sbin; \
		install -m 755 pdisk $(tmpmc)/usr/sbin/mac-fdisk; \
		install -d $(tmpmn)/usr/share/man/man8; \
		install -m 644 debian/mac-fdisk.8.in $(tmpmn)/usr/share/man/man8/mac-fdisk.8; \
		dh_installdocs README -p$(packmc); \
		dh_installmanpages  -p$(packmc); \
		dh_installchangelogs HISTORY -p$(packmc); \
	fi
	set -e; if [ -n "$(POWERPC)" ]; then \
		install -d $(tmppmn)/sbin; \
		install -m 755 fdisk $(tmppmn)/sbin/pmac-fdisk; \
		install -d $(tmppmn)/usr/share/man/man8; \
		install -m 644 debian/pmac-fdisk.8.in $(tmppmn)/usr/share/man/man8/pmac-fdisk.8; \
		dh_installdocs README -p$(packpmn); \
		dh_installmanpages  -p$(packpmn); \
		dh_installchangelogs HISTORY -p$(packpmn); \
	else \
		install -d $(tmppmc)/usr/sbin; \
		install -m 755 fdisk $(tmppmc)/usr/sbin/pmac-fdisk; \
		install -d $(tmppmc)/usr/share/man/man8; \
		install -m 644 debian/pmac-fdisk.8.in $(tmppmc)/usr/share/man/man8/pmac-fdisk.8; \
		dh_installdocs README -p$(packpmc); \
		dh_installmanpages  -p$(packpmc); \
		dh_installchangelogs HISTORY -p$(packpmc); \
	fi
	# install README.Debian also in cross package (not done by dh_installdocs)
	set -e; if [ "$(BUILDARCH)" != "m68k" ] && ! [ -n "$(POWERPC)" ]; then \
		install -m 644 debian/README.debian $(docmc)/README.Debian; \
	fi
	# and move the pdisk man page back again ...
	mv pdisk.8.in pdisk.8

	# build native pdisk only for m68k, cross package only for others
	set -e; if [ "$(BUILDARCH)" = "m68k" ] || [ -n "$(POWERPC)" ]; then \
		dh_strip -p$(packmn) -P$(tmpmn); \
		dh_compress -p$(packmn) -P$(tmpmn); \
		dh_fixperms -p$(packmn) -P$(tmpmn); \
		dh_installdeb -p$(packmn) -P$(tmpmn); \
		dh_shlibdeps -p$(packmn) -P$(tmpmn); \
		dh_gencontrol -p$(packmn) -P$(tmpmn); \
		dh_md5sums -p$(packmn) -P$(tmpmn); \
	else \
		dh_strip -p$(packmc); \
		dh_compress -p$(packmc); \
		dh_fixperms -p$(packmc); \
		dh_installdeb -p$(packmc); \
		dh_shlibdeps -p$(packmc); \
		dh_gencontrol -p$(packmc); \
		dh_md5sums -p$(packmc); \
	fi
	# build native fdisk only for powerpc, cross package only for others
	set -e; if [ -n "$(POWERPC)" ]; then \
		dh_strip -p$(packpmn); \
		dh_compress -p$(packpmn); \
		dh_fixperms -p$(packpmn); \
		dh_installdeb -p$(packpmn); \
		dh_shlibdeps -p$(packpmn); \
		dh_gencontrol -p$(packpmn); \
		dh_md5sums -p$(packpmn); \
	else \
		dh_strip -p$(packpmc); \
		dh_compress -p$(packpmc); \
		dh_fixperms -p$(packpmc); \
		dh_installdeb -p$(packpmc); \
		dh_shlibdeps -p$(packpmc); \
		dh_gencontrol -p$(packpmc); \
		dh_md5sums -p$(packpmc); \
	fi
	set -e; if [ "$(BUILDARCH)" = "m68k" ] || [ -n "$(POWERPC)" ]; then \
		dh_builddeb -p$(packmn) -P$(tmpmn); \
	else \
		dh_builddeb -p$(packmc); \
	fi
	set -e; if [ -n "$(POWERPC)" ]; then \
		dh_builddeb -p$(packpmn); \
	else \
		dh_builddeb -p$(packpmc); \
	fi

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep build build-indep clean checkroot
